# generated by cabal-rpm-2.2.1 --subpackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name xmobar
%global pkgver %{pkg_name}-%{version}
%{?haskell_setup}

%global netlink netlink-1.1.1.0
%global prettyhex pretty-hex-1.1

%global subpkgs %{prettyhex} %{netlink}

# needs alsa-mixer package
%bcond_with tests

Name:           %{pkg_name}
Version:        0.48.1
# can only be reset when all subpkgs bumped
Release:        31%{?dist}
Summary:        A minimalistic text-based status bar

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{netlink}/%{netlink}.tar.gz
Source2:        https://hackage.haskell.org/package/%{prettyhex}/%{prettyhex}.tar.gz
# End cabal-rpm sources

Source10:       xmobar.desktop
Patch0:         xmobar-flags.patch

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
BuildRequires:  ghc-X11-devel
BuildRequires:  ghc-X11-xft-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cairo-devel
BuildRequires:  ghc-cereal-devel
BuildRequires:  ghc-colour-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extensible-exceptions-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hinotify-devel
BuildRequires:  ghc-http-client-tls-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-libmpd-devel
BuildRequires:  ghc-mtl-devel
#BuildRequires:  ghc-netlink-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-pango-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-parsec-numbers-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-regex-compat-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-utf8-string-devel
%if %{with ghc_prof}
BuildRequires:  ghc-X11-prof
BuildRequires:  ghc-X11-xft-prof
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-async-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-cairo-prof
BuildRequires:  ghc-cereal-prof
BuildRequires:  ghc-colour-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-extensible-exceptions-prof
BuildRequires:  ghc-extra-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-hinotify-prof
BuildRequires:  ghc-http-client-tls-prof
BuildRequires:  ghc-http-conduit-prof
BuildRequires:  ghc-http-types-prof
BuildRequires:  ghc-libmpd-prof
BuildRequires:  ghc-mtl-prof
#BuildRequires:  ghc-netlink-prof
BuildRequires:  ghc-old-locale-prof
BuildRequires:  ghc-pango-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-parsec-numbers-prof
BuildRequires:  ghc-process-prof
BuildRequires:  ghc-regex-compat-prof
BuildRequires:  ghc-stm-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-unix-prof
BuildRequires:  ghc-utf8-string-prof
%endif
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-temporary-devel
%endif
# for missing dep 'netlink':
BuildRequires:  ghc-monad-loops-devel
%if %{with ghc_prof}
BuildRequires:  ghc-monad-loops-prof
%endif
# End cabal-rpm deps
BuildRequires:  desktop-file-utils
BuildRequires:  libXpm-devel

%description
Xmobar is a minimalistic text based status bar.

Inspired by the Ion3 status bar, it supports similar features, like dynamic
color management, output templates, and extensibility through plugins.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Provides:       ghc-%{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       libXrandr-devel%{?_isa}
Requires:       libXrender-devel%{?_isa}
# End cabal-rpm deps

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%if %{with haddock}
%package -n ghc-%{name}-doc
Summary:        Haskell %{name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description -n ghc-%{name}-doc
This package provides the Haskell %{name} library documentation.
%endif


%if %{with ghc_prof}
%package -n ghc-%{name}-prof
Summary:        Haskell %{name} profiling library
Requires:       ghc-%{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (ghc-%{name}-devel and ghc-prof)

%description -n ghc-%{name}-prof
This package provides the Haskell %{name} profiling library.
%endif


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage -l BSD-3-Clause %{netlink}
%ghc_lib_subpackage -l BSD-3-Clause %{prettyhex}
%endif

%global version %{main_version}


%prep
# Begin cabal-rpm setup:
%setup -q -a1 -a2
%autopatch -p1
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_libs_build %{subpkgs}
%ghc_lib_build
# End cabal-rpm build

cd etc
%{_bindir}/ghc %{!?ghc_without_dynamic:-dynamic} --make xmonadpropwrite.hs
cd -


%install
# Begin cabal-rpm install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
# End cabal-rpm install

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE10}
install --mode=0755 -p etc/xmonadpropwrite %{buildroot}%{_bindir}/xmonadpropwrite

rm %{buildroot}%{_bindir}/{dump_nl80211,dump_rtnetlink,genlinfo}


%check
%if %{with tests}
PATH=%{buildroot}%{_bindir}:$PATH
%cabal_test
%endif


%files
# Begin cabal-rpm files:
%license license
%doc changelog.md readme.org
%{_bindir}/%{name}
# End cabal-rpm files
%{_bindir}/xmonadpropwrite
%{_datadir}/applications/xmobar.desktop
%doc etc/xmobar.config


%files -n ghc-%{name} -f ghc-%{name}.files
# Begin cabal-rpm files:
%license license
# End cabal-rpm files


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc changelog.md readme.org


%if %{with haddock}
%files -n ghc-%{name}-doc -f ghc-%{name}-doc.files
%license license
%endif


%if %{with ghc_prof}
%files -n ghc-%{name}-prof -f ghc-%{name}-prof.files
%endif


%changelog
* Sun Jul 21 2024 Jens Petersen <petersen@redhat.com> - 0.48.1-31
- https://hackage.haskell.org/package/xmobar-0.48.1/changelog

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.46-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.46-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 29 2023 Jens Petersen <petersen@redhat.com> - 0.46-28
- rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.46-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jan 22 2023 Jens Petersen <petersen@redhat.com> - 0.46-26
- https://hackage.haskell.org/package/xmobar-0.46/changelog
- refresh to cabal-rpm-2.1.0 with SPDX migration

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.43-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 07 2022 Jens Petersen <petersen@redhat.com> - 0.43-24
- https://hackage.haskell.org/package/xmobar-0.43/changelog

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.38-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Miro Hrončok <mhroncok@redhat.com> - 0.38-22
- Rebuilt for https://fedoraproject.org/wiki/Changes/LIBFFI34

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.38-21
- update to 0.38

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.37-20
- update to 0.37

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jan 28 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 31 18:00:21 +08 2020 Jens Petersen <petersen@redhat.com> - 0.36-17
- update to 0.36
  https://hackage.haskell.org/package/xmobar-0.36/changelog

* Wed Aug 19 2020 Jens Petersen <petersen@redhat.com> - 0.35.1-16
- switch from iwlib to netlink (#1860943)

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.35.1-15
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.35.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 16 2020 Jens Petersen <petersen@redhat.com> - 0.35.1-13
- update to 0.35.1

* Fri Jun 19 2020 Jens Petersen <petersen@redhat.com> - 0.34-12
- update to 0.34

* Wed Jun 10 2020 Jens Petersen <petersen@redhat.com> - 0.33-11
- update to 0.33

* Mon Feb 24 2020 Jens Petersen <petersen@redhat.com> - 0.32-10
- drop the libm patch

* Sun Feb 23 2020 Jens Petersen <petersen@redhat.com> - 0.32-9
- update to 0.32

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.29.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Sep 13 2019 Jens Petersen <petersen@redhat.com> - 0.29.4-7
- add doc and prof subpackages (cabal-rpm-1.0)

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.29.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Mar  4 2019 Jens Petersen <petersen@redhat.com> - 0.29.4-5
- rebuild without -O0 for s390x

* Sat Feb 23 2019 Jens Petersen <petersen@redhat.com> - 0.29.4-4
- update to 0.29.4
- now binlib
- drop xft font patch for now

* Sun Feb 17 2019 Jens Petersen <petersen@redhat.com> - 0.27-3
- refresh to cabal-rpm-0.13

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 0.27-1
- update to 0.27
- subpackage new iwlib dep

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 15 2018 Jens Petersen <petersen@redhat.com> - 0.24.5-3
- remove _isa from buildrequires (#1545206)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 0.24.5-1
- update to 0.24.5

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 24 2017 Jens Petersen <petersen@redhat.com> - 0.24.3-4
- refresh to cabal-rpm-0.11.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Oct 26 2016 Jens Petersen <petersen@redhat.com> - 0.24.3-2
- update desktop file to silence DesktopLint warnings

* Sun Oct 09 2016 Ben Boeckel <mathstuf@gmail.com> - 0.24.3-1
- update to 0.24.3

* Tue Aug 02 2016 Ben Boeckel <mathstuf@gmail.com> - 0.24.1-1
- update to 0.24.1

* Thu Jun 30 2016 Jens Petersen <petersen@redhat.com> - 0.23.1-6
- rebuild

* Tue May 24 2016 Ben Boeckel <mathstuf@gmail.com> - 0.23.1-5
- Rebuild for ghc-libmpd

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 10 2015 Ben Boeckel <mathstuf@gmail.com> - 0.23.1-3
- remove license from docdir

* Sun Jul 19 2015 Ben Boeckel <mathstuf@gmail.com> - 0.23.1-2
- Rebuild to catch libmpd rebuild; missed the buildroot refresh

* Sun Jul 19 2015 Ben Boeckel <mathstuf@gmail.com> - 0.23.1-1
- Update to 0.23.1

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 28 2015 Jens Petersen <petersen@redhat.com> - 0.22.1-2
- cblrpm refresh

* Thu Dec 11 2014 Ben Boeckel <mathstuf@gmail.com> - 0.22.1-1
- update to 0.22.1

* Thu Sep 25 2014 Jens Petersen <petersen@redhat.com> - 0.21-1
- update to 0.21
- refresh to cblrpm-0.8.11

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 09 2014 Ben Boeckel <mathstuf@gmail.com> - 0.20.1-1
- Update to 0.20.1

* Thu Jan 16 2014 Jens Petersen <petersen@redhat.com> - 0.19-1
- update to 0.19

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 0.18-1
- update to 0.18

* Fri Mar 22 2013 Jens Petersen <petersen@redhat.com> - 0.16-3
- rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 19 2013 Jens Petersen <petersen@redhat.com> - 0.16-1
- update to 0.16

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.15-4
- update with cabal-rpm
- set flags with patch for cabal-rpm
- override mtl version with cabal-tweak-dep-ver

* Mon Oct 29 2012 Jens Petersen <petersen@redhat.com> - 0.15-3
- allow building with stm-2.4

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Jens Petersen <petersen@redhat.com> - 0.15-1
- update to 0.15
- allow building with mtl-2.1
- xmobar-0.14-MPD-ghc74-Show.patch no longer needed

* Wed Mar 21 2012 Jens Petersen <petersen@redhat.com> - 0.14-4
- fix MPD build on ghc-7.4

* Wed Feb 29 2012 Ben Boeckel <mathstuf@gmail.com> - 0.14-3
- Rebuild for ghc-libmpd

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.14-2
- update to cabal2spec-0.25.2
- new dependency on libXrandr

* Wed Dec 14 2011 Ben Boeckel <mathstuf@gmail.com> - 0.14-1
- Update to 0.14

* Wed Oct 26 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.13-5.2
- rebuild with new gmp without compat lib

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 0.13-5.1
- rebuild with new gmp

* Mon Jul 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.13-5
- Update to cabal2spec-0.24
- xmonadpropwrite.hs is in the tarball again

* Fri Jul 22 2011 Jens Petersen <petersen@redhat.com> - 0.13-4
- reenable hinotify

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.13-3
- update to cabal2spec-0.23.2: BR ghc-Cabal-devel and use ghc_arches
- disable hinotify temporarily since it failed to build on x86_64

* Fri Jun  3 2011 Jens Petersen <petersen@redhat.com> - 0.13-2
- use xft:mono-12 font by default using patch from Pavel Zhukov (#708633)
- add ppc64

* Mon Mar 28 2011 Ben Boeckel <mathstuf@gmail.com> - 0.13-1
- Update to 0.13

* Sat Mar 12 2011 Jens Petersen <petersen@redhat.com> - 0.12-5
- hide desktop file from desktop menu (#674731)
- use cabal_configure_options, cabal_bin_build, ghc_without_dynamic

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.12-4
- Enable build on sparcv9

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 0.12-3
- Rebuild for broken dependencies

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.12-1
- Update to cabal2spec-0.22.4
- Update to 0.12

* Wed Jan 19 2011 Jens Petersen <petersen@redhat.com> - 0.11.1-9
- update to cabal2spec-0.22.4
- BR ghc-devel

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-8
- rebuild with newer stm, syb, and network

* Wed Dec 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-7
- Re-enable libmpd

* Mon Nov 29 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-6
- Disable libmpd support since 0.5 broke things

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-5
- rebuild

* Fri Sep 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-4
- Ship a desktop file as well

* Wed Sep 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-3
- Enable libmpd and hinotify by default
- Ship the README

* Tue Aug 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-2
- Build xmonadpropwrite as well

* Tue Aug 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-1
- Initial package

* Tue Aug 31 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
